Skip to content
New issue

Have a question about this project? Sign up for a free GitHub account to open an issue and contact its maintainers and the community.

By clicking “Sign up for GitHub”, you agree to our terms of service and privacy statement. We’ll occasionally send you account related emails.

Already on GitHub? Sign in to your account

Poppler won't update #1

Closed
dryeo opened this issue Mar 23, 2020 · 15 comments
Closed

Poppler won't update #1

dryeo opened this issue Mar 23, 2020 · 15 comments

Comments

@dryeo
Copy link

@dryeo dryeo commented Mar 23, 2020

Doing a Yum update here is failing. Seems like a typo as shown here,

Error: Package: poppler-utils-0.84.0-1.oc00.pentium4 (netlabs-exp)
           Requires: popple94.dll
           Available: poppler-0.84.0-1.oc00.i686 (netlabs-exp)

I think it should require popple84.dll

@SilvanScherrer

This comment has been minimized.

Copy link
Contributor

@SilvanScherrer SilvanScherrer commented Mar 23, 2020

I wonder how you managed to not update poppler, as I did that several times. And no it's no type. the dll is popple94.dll
please show me the whole yum command and the whole output. As only this part says not really much.

@dryeo

This comment has been minimized.

Copy link
Author

@dryeo dryeo commented Mar 23, 2020

@dryeo

This comment has been minimized.

Copy link
Author

@dryeo dryeo commented Mar 24, 2020

@SilvanScherrer

This comment has been minimized.

Copy link
Contributor

@SilvanScherrer SilvanScherrer commented Mar 24, 2020

You seem to have hit the failing os2-release rpm. Latest is ok again. You need to download the rpm manually and install it. Then it runs again.

@dryeo

This comment has been minimized.

Copy link
Author

@dryeo dryeo commented Mar 24, 2020

@SilvanScherrer

This comment has been minimized.

Copy link
Contributor

@SilvanScherrer SilvanScherrer commented Mar 24, 2020

now you can update os2-release again to latest. as this works. does it also mean poppler could be updated?

@dryeo

This comment has been minimized.

Copy link
Author

@dryeo dryeo commented Mar 24, 2020

@SilvanScherrer

This comment has been minimized.

Copy link
Contributor

@SilvanScherrer SilvanScherrer commented Mar 24, 2020

Your local repo is not complete. Please use rel and exp only. If you think its complete Show me yum list poppler*

@dryeo

This comment has been minimized.

Copy link
Author

@dryeo dryeo commented Mar 25, 2020

@SilvanScherrer

This comment has been minimized.

Copy link
Contributor

@SilvanScherrer SilvanScherrer commented Mar 25, 2020

Why do you use the local repo and not exp?
As i still dont see why it should not run. Especially it did here and for several tested.
Please attach thr complete yum log. Dont use anpm is i want the pur yum output and the yum command you use.

@dryeo

This comment has been minimized.

Copy link
Author

@dryeo dryeo commented Mar 25, 2020

@SilvanScherrer

This comment has been minimized.

Copy link
Contributor

@SilvanScherrer SilvanScherrer commented Mar 25, 2020

do you switch between different archs? as I suspect a bigger issue on your side after the crashes you saw. As I can't reproduce that. try to use a clean env and retry

@SilvanScherrer

This comment has been minimized.

Copy link
Contributor

@SilvanScherrer SilvanScherrer commented Mar 25, 2020

I might have an idea. But i need to check that first which takes a while as im busy with more important stuff

@dryeo

This comment has been minimized.

Copy link
Author

@dryeo dryeo commented Mar 26, 2020

@SilvanScherrer

This comment has been minimized.

Copy link
Contributor

@SilvanScherrer SilvanScherrer commented Mar 26, 2020

Thx for the info. And its not that the code cant be mixed. Its deep in yum that it cant mix arch sometimes. Easy rpm work like a charm but complex requires snd such dont. Why i never looked close enough.
As all works now i close the issue.

Sign up for free to join this conversation on GitHub. Already have an account? Sign in to comment
Projects
None yet
Linked pull requests

Successfully merging a pull request may close this issue.

None yet
2 participants
You can’t perform that action at this time.